Description

Hi!

the workflow system that is provided by redmine is really nice and can be configured easily.

External users and sometimes even members of the projects do not understand the workflow if the workflow is a little bit more

complex.

Maybe the workflow can be visualized graphically by each tracker?

I know this feature from Jira, having this in redmine would be a great thing.. Jira also allows to configure the workflow graphically but

this is not really necessary (because the admin of a project should know what he does...)

This Image (as Popup for example) could be linked next to the status dropdown in the new ticket view or next to the display ticket

view

Related issues:

Related to Redmine - Feature #559: Workflow Enhancements New

History

#1 - 2013-01-19 05:10 - Mischa The Evil

This was detailed explained for old RM version as part of #559#note-9 (using google chart api).

#2 - 2013-01-19 08:51 - Daniel Felix

Well, I'm not a friend of the google chart API, as it disallows the intranet/offline usage of this feature. If you're using Redmine Inhouse, without Internet

connection this would be a problem.

#3 - 2013-01-19 20:02 - Mischa The Evil

Daniel Felix wrote:

Well, I'm not a friend of the google chart API, as it disallows the intranet/offline usage of this feature. If you're using Redmine Inhouse, without

Internet connection this would be a problem.

 Without a doubt. A solution (e.g. optionally [as like the Gantt png export feature] using local (ruby-)Graphviz dependency), that doesn't require an

internet-connection would be preferable. Maybe this can be even better handled using a plugin before implementing such feature (and new

dependency) within the core.

More general about this issue: it seems to be the same as suggestion 2 from the original description of issue #559, correct?

#4 - 2013-01-21 16:14 - Anonymous

More general about this issue: it seems to be the same as suggestion 2 from the original description of issue #559, correct?

 Yes, thats almost the same. If a had seen this ticket I would not have opened a new one.

#5 - 2013-01-21 16:51 - Daniel Felix

Could this be closed in favor of #559 or should it stay seperatly?

I added the relation.
#6 - 2013-01-21 16:56 - Anonymous

Daniel Felix wrote:

Could this be closed in favor of 559 or should it stay seperatly?

I added the relation.

 I think it can be closed.

#7 - 2013-01-21 17:05 - Daniel Felix

- Status changed from New to Closed

#8 - 2013-02-03 23:23 - Jan Niggemann (redmine.org team member)

- Resolution set to Duplicate
